oggz-validate(1)

NAME
oggz-validate — Validate the Ogg framing of one or more files

SYNOPSIS

oggz-validate [-M num | --max-errors num ] [-p | --prefix ] [-s | --suffix ] [-P | --partial ] filename ...

oggz-validate [-h | --help ] [-v | --version ]

Description

oggz-validate validates the Ogg framing of one or more Ogg files.

oggz-validate detects the following errors in Ogg framing:

•   File contains no Ogg packets

•   Packets out of order

•   Packet belongs to unknown serialno

•   Granulepos decreasing within track

•   Multiple bos pages

•   Multiple eos pages

•   eos marked but no bos

•   Missing eos packets

•   eos marked on page with no completed packets

•   Granulepos on page with no completed packets

•   Theora video bos page after audio bos page

•   Terminal header page has non-zero granulepos

•   Terminal header page contains non-header packet

•   Terminal header page contains non-header segment

oggz-validate exits with status 0 if all files are valid Ogg files, and with status 1 if one or more errors are found.

Options

oggz-validate accepts the following options:

  Error reporting options

-M num, --max-errors num
    Exit after the specified number of errors. A value of 0 specifies no maximum.

-p, --prefix
    Treat input as the prefix of a stream; suppress warnings about missing end-of-stream markers

-s, --suffix
    Treat input as the suffix of a stream; suppress warnings about missing beginning-of-stream markers on the first chain

-P, --partial
    Treat input as a the middle portion of a stream. Equivalent to both --prefix and --suffix

  Miscellaneous options

-h, --help
    Display usage information and exit.

-v, --version
    Output version information and exit.

AUTHOR

Conrad Parker April 3, 2005;

COPYRIGHT

Copyright © 2005 CSIRO Australia

SEE ALSO

oggz-sort(1), oggz-dump(1), oggz-info(1)